#!/bin/sh
# the next line restarts using tclsh \
exec tclsh "$0" "$@"

#
# if the checkButton and option are clicked multiple times
# this crashes with plug and bonobo-plug
# I think, this is a probblem of the focus handling of the plug
# widget.
#
load ../src/gnocl.so

set mainBox [gnocl::box -orientation vertical -homogeneous 0]

set option [gnocl::optionMenu]
set rev [gnocl::checkButton -text reverse]
$mainBox add [list $option $rev]

$option add "col 2 default"
$option add "col 3 default"


# set win [gnocl::window -child $mainBox]
set win [gnocl::plug [lindex $argv 0] -child $mainBox]

gnocl::mainLoop

